mise a jour easyphp

Le
alainL
Bonjour,
Je me sers de la version 1.7 d'EasyPHP, qui date un peu mais qui me
suffisait. Voulant tester un bout de script faisant appel à la fonction
strpbrk() je constate que celle-ci n'est pas incluse dans les extensions
standard.
Alors question : peut-on sans risque passer de la version 1.7 à la
version 5.2
Merci
alainL
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
John GALLET
Le #22220021
Bonjour,

Je me sers de la version 1.7 d'EasyPHP, qui date un peu


Justement: peu de contributeurs savent quelles versions de PHP, apache
et Mysql sont installées par ce package.


Alors question : peut-on sans risque passer de la version 1.7 à la
version 5.2...


Difficile de répondre dans l'absolu. Je présume que ça n'est pas une
machine qui héberge un service sensible parce que mettre un serveur de
prod sous windows avec easyphp "from the box", c'est un peu zosé, mais
je l'ai constaté dans des conditions délirantes donc... Quoi qu'il en
soit, si possible le faire sur une autre machine (même un portable),
tester l'application / le site web avant de déployer. Par principe de
précaution.

HTH
JGA
Christophe Bachmann
Le #22220651
Le 06/06/2010 22:29, John GALLET a écrit :
Bonjour,

Je me sers de la version 1.7 d'EasyPHP, qui date un peu


Justement: peu de contributeurs savent quelles versions de PHP, apache
et Mysql sont installées par ce package.



- Apache 1.3.27
- PHP 4.3.3
- MySQL 4.0.15
- PhpMyAdmin 2.5.3


Alors question : peut-on sans risque passer de la version 1.7 à la
version 5.2...





** EasyPHP 5.2.10 **
- PHP 5.2.10
- Apache 2.2.13
- MySQL 5.1.37
- PhpMyAdmin 3.2.1
- SQLite 2.8.17
- Pecl 5.2.6

** EasyPHP 5.3.0 **
- PHP 5.3.0
- Apache 2.2.13
- MySQL 5.1.37
- PhpMyAdmin 3.2.1

Difficile de répondre dans l'absolu. Je présume que ça n'est pas une
machine qui héberge un service sensible parce que mettre un serveur de
prod sous windows avec easyphp "from the box", c'est un peu zosé, mais
je l'ai constaté dans des conditions délirantes donc... Quoi qu'il en
soit, si possible le faire sur une autre machine (même un portable),
tester l'application / le site web avant de déployer. Par principe de
précaution.

HTH
JGA



Le changement de PHP4 à PHP5 implique quelques modifications, pour le
reste je ne sais pas trop.
--
Greetings, Salutations,
Guiraud Belissen, Château du Ciel, Drachenwald,
Chris CII, Rennes, France
John GALLET
Le #22220751
[verson actuelle]
- Apache 1.3.27
- PHP 4.3.3
- MySQL 4.0.15
- PhpMyAdmin 2.5.3


[target]
** EasyPHP 5.2.10 **
- PHP 5.2.10
- Apache 2.2.13
- MySQL 5.1.37
- PhpMyAdmin 3.2.1
- SQLite 2.8.17
- Pecl 5.2.6

Le changement de PHP4 à PHP5 implique quelques modifications, pour le
reste je ne sais pas trop.


Il *peut* induire des modifications, tout dépend de ce qu'on utilise.
J'ai migré des sites de PHP 3.1.x à 5.x sans changer une ligne de code:
tout dépend comment c'est écrit et configuré.

Côté mysql, je pense seulement à la connexion vu que le changement
d'algorithme entre MD5 et SHA-1 c'est fait qq part entre la 4 et la 5.

Côté apache, sur windows, rien de spécial, sur unix se méfier du modèle
threadé.

Donc pour revenir à la question initiale, je réitère: faire un test sur
une autre machine si possible, sinon a priori la seule chose qui peut
pêter est la connexion à la base de données.

Je ne parle bien entendu que des problèmes de compatibilité ascendante,
pas des améliorations et ajouts.

a++;
JGA
Publicité
Poster une réponse
Anonyme